sSrv17 - New value should be different from the previous one and not from the SCL value. Test case
will not work twice with SPG setpoints.
Description

The first step is wrong, as these values are non-volating the new value shall be different from the existing one in the DUT. Imagine
the case with a SPG setpoing that is set to "false" in the CID file. You will execute the test case to modify the SPG.setVal to "true”
and the first time the test case works but once you reboot the DUT the SPG.setVal will start in value "true" and if you repeat the test
case and you have to write a "value different from the SCL" you are not changing the current value of the SPG setpoint.

Please, change the first step in Test Description from

1. For each functional constraint client requests at least one SetDataValues of a writable attribute with FC=SP, DC, EX with a new
value which is different from the initial value in SCL

to
1. For each functional constraint, client requests at least one SetDataValues of a writable attribute (Valkind=Set) with FC=SP, DC

with a new
value which is different from the existing value in the DUT.

History

#1 - 01/03/2025 02:27 AM - Erik San Telmo

There are (at least) two typos in my previous description.... | cannot modify the original wording,sorry, please change
volating ---> volatile
setpoing ---> setpoint

#2 - 01/07/2025 08:41 AM - IEC 61850 TPWG

- Due date set to 01/21/2025

- Status changed from New to In Progress

- Assignee set to Richard Schimmel

#3 - 01/20/2025 08:17 AM - Richard Schimmel

| disagree. The goal of the test case is to verify that Settings are stored in non-volatile memory (and not loaded from SCL after a reboot). For a

boolean you may need to run the test case twice.

#4 - 01/21/2025 08:06 AM - IEC 61850 TPWG

- Status changed from In Progress to Rejected

value does not have to be changed a second time, different from SCL is the precondition to determine non-volatility.
